<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('suppliers', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('item_id')->required();
            $table->foreign('item_id')->references('id')->on('items')->onDelete('cascade');
            $table->string('supplierName');
            $table->string('supplierAddress');
            $table->string('supplierTelephone')->nullable(true);
            $table->string('supplierMobile')->nullable(true);
            $table->string('supplierEmail');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('suppliers');
    }
};
